Subject: Re: linux-next: Tree for May 7 (argh)

From: Randy Dunlap <[email-masked]>
Date: Thu, 08 May 2014 09:54:44 -0700

On 05/07/2014 06:10 PM, Andi Kleen wrote:
>>>>> ps2mult.c:(.exit.text+0x8f): multiple definition of `cleanup_module'
>>>>> ps2mult.c:(.init.text+0xbc8): multiple definition of `init_module'
>>>>> ipack.c:(.exit.text+0x0): multiple definition of `cleanup_module'
>>>>> ipack.c:(.init.text+0x0): multiple definition of `init_module'
>>>>> mcb-core.c:(.text+0x40d): multiple definition of `cleanup_module'
>>>>> mcb-core.c:(.text+0x3fb): multiple definition of `init_module'
>>>>
> 
> It sounds like it misdetects your binutils. LTO should
> disable itself when your binutils cannot handle it. Can you send me
> the full build log and output of ld --version and gcc --version
> please?

Hi Andi,

I see this message:
scripts/Makefile.lto:82: "WARNING: GCC 0407 too old for LTO/WHOPR. CONFIG_LTO disabled"

so that seems to be working OK.

I think that the init_module/cleanup_module problems are due to some errors
in my automated scripts.  Sorry about that.  Please ignore my original report.

-- 
~Randy